FROM fedora:38

ENV HOME /root
# Bug appears when XDG_CONFIG_HOME is set explicitly
ENV XDG_CONFIG_HOME $HOME/.config

RUN dnf update -y
RUN dnf install -y git

# tmux + TPM
RUN dnf install -y tmux
COPY tmux.conf $HOME/.config/tmux/
RUN git clone https://github.com/tmux-plugins/tpm $XDG_CONFIG_HOME/tmux/plugins/tpm
RUN TMUX_PLUGIN_MANAGER_PATH=$XDG_CONFIG_HOME/tmux/plugins $XDG_CONFIG_HOME/tmux/plugins/tpm/bin/install_plugins

# fish shell
RUN dnf install -y fish util-linux-user
COPY config.fish $HOME/.config/fish/
RUN chsh -s /usr/bin/fish

# base16-shell
RUN git clone https://github.com/tinted-theming/base16-shell.git $HOME/.config/base16-shell
# Uncomment to illustrate the fix
#RUN sed -i 's/HEXCHAT/TMUX_PLUGIN/' $HOME/.config/base16-shell/hooks/base16-tmux.fish

ENTRYPOINT ["fish"]
